_syck_str Struct Reference

`#include <syck.h>`

## Data Fields

char * | beg
char * | ptr
char * | end
SyckIoStrRead | read

## Detailed Description

Definition at line 198 of file syck.h.

## Field Documentation

char* _syck_str::beg

Definition at line 200 of file syck.h.

Referenced by syck_parser_str().

char * _syck_str::end

Definition at line 200 of file syck.h.

Referenced by syck_io_str_read(), and syck_parser_str().

char * _syck_str::ptr

Definition at line 200 of file syck.h.

Referenced by rb_syck_io_str_read(), syck_io_str_read(), and syck_parser_str().

SyckIoStrRead _syck_str::read

Definition at line 202 of file syck.h.

Referenced by syck_parser_read(), syck_parser_readlen(), and syck_parser_str().

The documentation for this struct was generated from the following file:

- ext/syck/syck.h